<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/statusBarBackground"
        android:layout_width="match_parent"
        android:layout_height="24dp"
        android:background="@color/colorPrimaryDark"
        tools:ignore="MissingConstraints" />

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toBottomOf="@+id/statusBarBackground">

        <ImageView
            android:id="@+id/iv_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_left_back" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/ic_yes_partner" />

    </androidx.appcompat.widget.Toolbar>

    <ImageView
        android:id="@+id/iv_header_banner"
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:layout_marginTop="@dimen/margin_2x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/mToolbar" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_category_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_2x_size"
        android:text="Food  Beverage"
        android:textSize="@dimen/small_text_size"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_header_banner" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:text="Park Cafe"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_category_name" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_category_description"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_1x_size"
        android:text="Enjoy 30% OFF from all afafa"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_name" />

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_available_at"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_2x_size"
        android:layout_marginTop="@dimen/margin_5x_size"
        android:text="Available at"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_category_description" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_outlet"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:padding="@dimen/margin_2x_size"
        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_available_at" />

</androidx.constraintlayout.widget.ConstraintLayout>